summaryrefslogtreecommitdiff
path: root/artistic
diff options
context:
space:
mode:
authorMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-07-11 16:50:55 -0300
committerMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-07-11 16:50:55 -0300
commitf944490c481c2665eb788d6b985bf5046407b870 (patch)
treea12188418578a87ad98cae9710d428da5d08eeea /artistic
parentdafc2a23dae515346c7076175524c41262510eaa (diff)
spacenavd: adding package to artistic repo
Diffstat (limited to 'artistic')
-rw-r--r--artistic/spacenavd/PKGBUILD23
-rw-r--r--artistic/spacenavd/spacenavd38
2 files changed, 61 insertions, 0 deletions
diff --git a/artistic/spacenavd/PKGBUILD b/artistic/spacenavd/PKGBUILD
new file mode 100644
index 000000000..1c117b804
--- /dev/null
+++ b/artistic/spacenavd/PKGBUILD
@@ -0,0 +1,23 @@
+# Contributor: Jan Hambrecht <jaham at gmx dot net>
+# Maintainer (Parabola): Márcio Silva <coadde@lavabit.com>
+
+pkgname=spacenavd
+pkgver=0.5
+pkgrel=1
+pkgdesc="The spacenav project provides a free, compatible alternative, to the proprietary 3Dconnexion device driver and SDK, for their 3D input devices (called 'space navigator', 'space pilot', 'space traveller', etc)."
+arch=('i686' 'x86_64' 'mips64el')
+url="http://spacenav.sourceforge.net/"
+license=('GPL')
+depends=('libx11')
+backup=('etc/spnavrc')
+source=(http://downloads.sourceforge.net/spacenav/$pkgname-$pkgver.tar.gz spacenavd )
+
+md5sums=('0bb21da5315bd376aa508157a9455aaa'
+ '27a739300d4de07920879af2d2bdd47f')
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=$pkgdir/usr
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+ install -D -m755 $srcdir/spacenavd $pkgdir/etc/rc.d/spacenavd || return 1
+}
diff --git a/artistic/spacenavd/spacenavd b/artistic/spacenavd/spacenavd
new file mode 100644
index 000000000..61946197c
--- /dev/null
+++ b/artistic/spacenavd/spacenavd
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+DAEMON=/usr/bin/spacenavd
+
+PID=`pidof -o %PPID $DAEMON`
+case "$1" in
+ start)
+ stat_busy "Starting Spacenavigator Daemon"
+ [ -z "$PID" ] && $DAEMON
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon spacenavd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Spacenavigator Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon spacenavd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0